[PATCH] ACPI EC driver on ia64

From: Kenji Kaneshige <kaneshige.kenji_at_jp.fujitsu.com>
Date: 2005-12-05 21:45:27
Hi,

I need an ACPI EC driver on my IA64 machine. Currently CONFIG_ACPI_EC
depends on X86, so I cannot build ACPI EC driver on ia64. I tested
ACPI EC driver on ia64 with my special Kconfig, and it seemed to work
well. Could you consider applying the following patch to enable ACPI
EC driver on ia64?

Thanks,
Kenji Kaneshige


This patch enables ACPI EC driver on ia64.

Signed-off-by: Kenji Kaneshige <kaneshige.kenji@jp.fujitsu.com>

 drivers/acpi/Kconfig |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

Index: linux-2.6.15-rc5/drivers/acpi/Kconfig
===================================================================
--- linux-2.6.15-rc5.orig/drivers/acpi/Kconfig
+++ linux-2.6.15-rc5/drivers/acpi/Kconfig
@@ -269,7 +269,7 @@ config ACPI_DEBUG
 
 config ACPI_EC
 	bool
-	depends on X86
+	depends on IA64 || X86
 	default y
 	help
 	  This driver is required on some systems for the proper operation of
-
To unsubscribe from this list: send the line "unsubscribe linux-ia64" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html
Received on Mon Dec 05 21:47:52 2005

This archive was generated by hypermail 2.1.8 : 2005-12-05 21:48:01 EST